"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatsType = exports.WS_PINGS_MISSING_THRESHOLD = exports.WS_PING_INTERVAL_MS = exports.WS_CONNECTION_TIMEOUT = exports.SortOrder = exports.MessageAttachmentMediaType = exports.ChatReceivePolicy = exports.ChannelSendPolicy = exports.ChatType = exports.UserState = exports.MessageAttachmentType = exports.AttachmentState = exports.DeliveryStatus = exports.MessageState = exports.RemoteSdpType = exports.ATTACHMENT_CHUNK_SIZE = exports.UserManagementError = exports.UserInfoError = exports.RoomError = exports.ChatSectionsError = exports.ChatError = exports.ContactError = exports.InternalApi = exports.TrackType = exports.ParticipantRole = exports.Operations = exports.RoomState = exports.State = exports.RoomEvent = exports.SfuEvent = void 0;
var SfuEvent;
(function (SfuEvent) {
    SfuEvent["CONNECTED"] = "CONNECTED";
    SfuEvent["FAILED"] = "FAILED";
    SfuEvent["CONNECTION_FAILED"] = "CONNECTION_FAILED";
    SfuEvent["DISCONNECTED"] = "DISCONNECTED";
    SfuEvent["MESSAGE"] = "MESSAGE";
    SfuEvent["USER_LIST"] = "USER_LIST";
    SfuEvent["USER_CHATS"] = "USER_CHATS";
    SfuEvent["CHAT_LOADED"] = "CHAT_LOADED";
    SfuEvent["CHAT_MESSAGES"] = "CHAT_MESSAGES";
    SfuEvent["CHAT_SEARCH_RESULT"] = "CHAT_SEARCH_RESULT";
    SfuEvent["NEW_CHAT"] = "NEW_CHAT";
    SfuEvent["CHAT_DELETED"] = "CHAT_DELETED";
    SfuEvent["CHAT_UPDATED"] = "CHAT_UPDATED";
    SfuEvent["MESSAGE_STATE"] = "MESSAGE_STATE";
    SfuEvent["MESSAGE_ATTACHMENT_STATE"] = "MESSAGE_ATTACHMENT_STATE";
    SfuEvent["MESSAGE_STATE_BULK"] = "MESSAGE_STATE_BULK";
    SfuEvent["CONTACT_UPDATE"] = "CONTACT_UPDATE";
    SfuEvent["CONTACT_REMOVED"] = "CONTACT_REMOVED";
    SfuEvent["CONTACT_INVITE"] = "CONTACT_INVITE";
    SfuEvent["PUBLIC_CHANNELS"] = "PUBLIC_CHANNELS";
    SfuEvent["USER_CALENDAR"] = "USER_CALENDAR";
    SfuEvent["NEW_CALENDAR_ENTRY"] = "NEW_CALENDAR_ENTRY";
    SfuEvent["REMOVE_CALENDAR_ENTRY"] = "REMOVE_CALENDAR_ENTRY";
    SfuEvent["UPDATE_CALENDAR_EVENT"] = "UPDATE_CALENDAR_EVENT";
    SfuEvent["ACK"] = "ACK";
    SfuEvent["ATTACHMENT_DATA"] = "ATTACHMENT_DATA";
    SfuEvent["USER_ROOMS"] = "USER_ROOMS";
    SfuEvent["ATTACHMENT"] = "ATTACHMENT";
    SfuEvent["SFU_USER_PMI_SETTINGS"] = "SFU_USER_PMI_SETTINGS";
    SfuEvent["UPDATE_USER_PMI_SETTINGS"] = "UPDATE_USER_PMI_SETTINGS";
    SfuEvent["USER_INFO"] = "USER_INFO";
    SfuEvent["USER_EMAIL_CHANGED"] = "USER_EMAIL_CHANGED";
    SfuEvent["USER_NICKNAME_CHANGED"] = "USER_NICKNAME_CHANGED";
    SfuEvent["CHAT_MESSAGE_EDITED"] = "CHAT_MESSAGE_EDITED";
    SfuEvent["CHAT_MESSAGE_DELETED"] = "CHAT_MESSAGE_DELETED";
    SfuEvent["SIGN_UP_STATUS"] = "SIGN_UP_STATUS";
    SfuEvent["RESET_PASSWORD_REQUEST_STATUS"] = "RESET_PASSWORD_REQUEST_STATUS";
    SfuEvent["CHAT_MESSAGES_COUNT"] = "CHAT_MESSAGES_COUNT";
    SfuEvent["FIRST_AND_LAST_CHAT_MESSAGE"] = "FIRST_AND_LAST_CHAT_MESSAGE";
    SfuEvent["MESSAGE_ATTACHMENTS_SEARCH_RESULT"] = "MESSAGE_ATTACHMENTS_SEARCH_RESULT";
    SfuEvent["LOAD_BOOKMARKED_MESSAGES_RESULT"] = "LOAD_BOOKMARKED_MESSAGES_RESULT";
    SfuEvent["LOAD_MESSAGES_WITH_MENTIONS_RESULT"] = "LOAD_MESSAGES_WITH_MENTIONS_RESULT";
    SfuEvent["BOOKMARK_DELETED"] = "BOOKMARK_DELETED";
    SfuEvent["BOOKMARK_EDITED"] = "BOOKMARK_EDITED";
    SfuEvent["CHAT_WITH_BOOKMARKS_DELETED"] = "CHAT_WITH_BOOKMARKS_DELETED";
})(SfuEvent = exports.SfuEvent || (exports.SfuEvent = {}));
var RoomEvent;
(function (RoomEvent) {
    RoomEvent["CREATED"] = "CREATED";
    RoomEvent["ENDED"] = "ENDED";
    RoomEvent["AVAILABLE"] = "AVAILABLE";
    RoomEvent["FAILED"] = "FAILED";
    RoomEvent["ADD_TRACKS"] = "ADD_TRACKS";
    RoomEvent["REMOVE_TRACKS"] = "REMOVE_TRACKS";
    RoomEvent["MESSAGE"] = "MESSAGE";
    RoomEvent["CONTROL_MESSAGE"] = "CONTROL_MESSAGE";
    RoomEvent["JOINED"] = "JOINED";
    RoomEvent["LEFT"] = "LEFT";
    RoomEvent["PLACED_IN_LOBBY"] = "PLACED_IN_LOBBY";
    RoomEvent["PLACED_IN_WAITING_ROOM"] = "PLACED_IN_WAITING_ROOM";
    RoomEvent["DETACHED"] = "DETACHED";
    RoomEvent["EVICTED"] = "EVICTED";
    RoomEvent["DROPPED"] = "DROPPED";
    RoomEvent["REMOTE_SDP"] = "REMOTE_SDP";
    RoomEvent["TRACK_QUALITY_STATE"] = "TRACK_QUALITY_STATE";
    RoomEvent["OPERATION_FAILED"] = "OPERATION_FAILED";
    RoomEvent["WAITING_LIST"] = "SFU_WAITING_LIST";
    RoomEvent["WAITING_ROOM_UPDATE"] = "SFU_WAITING_ROOM_UPDATE";
    RoomEvent["MUTE_TRACKS"] = "MUTE_TRACKS";
    RoomEvent["PARTICIPANT_LIST"] = "PARTICIPANT_LIST";
    RoomEvent["ROLE_ASSIGNED"] = "ROLE_ASSIGNED";
    RoomEvent["ROLES_LIST"] = "ROLES_LIST";
    RoomEvent["ROOM_CONFIG"] = "ROOM_CONFIG";
    RoomEvent["ROOM_LOCKED"] = "ROOM_LOCKED";
    RoomEvent["ROOM_INITIAL_AUDIO_MUTED"] = "ROOM_INITIAL_AUDIO_MUTED";
    RoomEvent["ROOM_INITIAL_VIDEO_MUTED"] = "ROOM_INITIAL_VIDEO_MUTED";
    RoomEvent["ROOM_INITIAL_SCREEN_SHARING_MUTED"] = "ROOM_INITIAL_SCREEN_SHARING_MUTED";
    RoomEvent["ROOM_AUDIO_MUTED"] = "ROOM_AUDIO_MUTED";
    RoomEvent["ROOM_VIDEO_MUTED"] = "ROOM_VIDEO_MUTED";
    RoomEvent["ROOM_SCREEN_SHARING_MUTED"] = "ROOM_SCREEN_SHARING_MUTED";
    RoomEvent["ROOM_CHAT_MUTED"] = "ROOM_CHAT_MUTED";
    RoomEvent["ROOM_CAN_CHANGE_NICKNAME"] = "ROOM_CAN_CHANGE_NICKNAME";
    RoomEvent["ROOM_SCREEN_SHARING_MULTIPLE_SHARES"] = "ROOM_SCREEN_SHARING_MULTIPLE_SHARES";
    RoomEvent["ROOM_SCREEN_SHARING_EVERYONE_CAN_SHARE"] = "ROOM_SCREEN_SHARING_EVERYONE_CAN_SHARE";
    RoomEvent["ROOM_SCREEN_SHARING_EVERYONE_CAN_DO_SUBSEQUENT_SHARE"] = "ROOM_SCREEN_SHARING_EVERYONE_CAN_DO_SUBSEQUENT_SHARE";
    RoomEvent["PARTICIPANT_CONFIG"] = "PARTICIPANT_CONFIG";
    RoomEvent["SCREEN_SHARING_CONFIG"] = "SCREEN_SHARING_CONFIG";
    RoomEvent["PARTICIPANT_AUDIO_MUTED"] = "PARTICIPANT_AUDIO_MUTED";
    RoomEvent["PARTICIPANT_VIDEO_MUTED"] = "PARTICIPANT_VIDEO_MUTED";
    RoomEvent["PARTICIPANT_SCREEN_SHARING_MUTED"] = "PARTICIPANT_SCREEN_SHARING_MUTED";
    RoomEvent["PARTICIPANT_RENAMED"] = "PARTICIPANT_RENAMED";
    RoomEvent["STOP_SCREEN_SHARING"] = "STOP_SCREEN_SHARING";
    RoomEvent["STOP_TRACK"] = "STOP_TRACK";
})(RoomEvent = exports.RoomEvent || (exports.RoomEvent = {}));
var State;
(function (State) {
    State["NEW"] = "NEW";
    State["PENDING"] = "PENDING";
    State["CONNECTED"] = "CONNECTED";
    State["AUTHENTICATED"] = "AUTHENTICATED";
    State["DISCONNECTED"] = "DISCONNECTED";
    State["FAILED"] = "FAILED";
})(State = exports.State || (exports.State = {}));
var RoomState;
(function (RoomState) {
    RoomState["NEW"] = "NEW";
    RoomState["PENDING"] = "PENDING";
    RoomState["JOINED"] = "JOINED";
    RoomState["FAILED"] = "FAILED";
    RoomState["DISPOSED"] = "DISPOSED";
})(RoomState = exports.RoomState || (exports.RoomState = {}));
var Operations;
(function (Operations) {
    Operations["ROOM_CREATE"] = "ROOM_CREATE";
    Operations["ROOM_CREATE_FROM_EVENT"] = "ROOM_CREATE_FROM_EVENT";
    Operations["ROOM_JOIN"] = "ROOM_JOIN";
    Operations["ROOM_AVAILABLE"] = "ROOM_AVAILABLE";
    Operations["ROOM_DESTROY"] = "ROOM_DESTROY";
    Operations["ROOM_LEAVE"] = "ROOM_LEAVE";
    Operations["SEND_MESSAGE"] = "SEND_MESSAGE";
    Operations["SEND_CONTROL_MESSAGE"] = "SEND_CONTROL_MESSAGE";
    Operations["USER_LIST"] = "USER_LIST";
    Operations["USER_CALENDAR"] = "USER_CALENDAR";
    Operations["ADD_CALENDAR_EVENT"] = "ADD_CALENDAR_EVENT";
    Operations["REMOVE_CALENDAR_EVENT"] = "REMOVE_CALENDAR_EVENT";
    Operations["UPDATE_CALENDAR_EVENT"] = "UPDATE_CALENDAR_EVENT";
    Operations["ROOM_UPDATE"] = "ROOM_UPDATE";
    Operations["MUTE_TRACKS"] = "MUTE_TRACKS";
    Operations["ASSIGN_ROLE"] = "ASSIGN_ROLE";
    Operations["SUBSCRIBE_TO_WAITING_PARTICIPANT"] = "SUBSCRIBE_TO_WAITING_PARTICIPANT";
    Operations["UNSUBSCRIBE_FROM_WAITING_PARTICIPANT"] = "UNSUBSCRIBE_FROM_WAITING_PARTICIPANT";
    Operations["MOVE_TO_WAITING_ROOM"] = "MOVE_TO_WAITING_ROOM";
    Operations["CREATE_CHAT"] = "CREATE_CHAT";
    Operations["DELETE_CHAT"] = "DELETE_CHAT";
    Operations["RENAME_CHAT"] = "RENAME_CHAT";
    Operations["LOAD_CHAT"] = "LOAD_CHAT";
    Operations["LOAD_CHAT_MESSAGES"] = "LOAD_CHAT_MESSAGES";
    Operations["SEARCH_CHAT_MESSAGES"] = "SEARCH_CHAT_MESSAGES";
    Operations["ADD_MEMBER_TO_CHAT"] = "ADD_MEMBER_TO_CHAT";
    Operations["REMOVE_MEMBER_FROM_CHAT"] = "REMOVE_MEMBER_FROM_CHAT";
    Operations["UPDATE_CHAT_PREFERENCES"] = "UPDATE_CHAT_PREFERENCES";
    Operations["GET_USER_CHATS"] = "GET_USER_CHATS";
    Operations["UPDATE_CHAT_CONFIGURATION"] = "UPDATE_CHAT_CONFIGURATION";
    Operations["GET_ACTIVE_ROOMS"] = "GET_ACTIVE_ROOMS";
    Operations["ROOM_EXISTS"] = "ROOM_EXISTS";
    Operations["LOAD_ATTACHMENT"] = "LOAD_ATTACHMENT";
    Operations["CHANGE_QUALITY"] = "CHANGE_QUALITY";
    Operations["RECLAIM_OWNER_RIGHTS"] = "RECLAIM_OWNER_RIGHTS";
    Operations["CONFIGURE_WAITING_ROOM"] = "CONFIGURE_WAITING_ROOM";
    Operations["AUTHORIZE_WAITING_LIST"] = "AUTHORIZE_WAITING_LIST";
    Operations["ADD_CHAT_TO_FAVOURITES"] = "ADD_CHAT_TO_FAVOURITES";
    Operations["REMOVE_CHAT_FROM_FAVOURITES"] = "REMOVE_CHAT_FROM_FAVOURITES";
    Operations["INVITE_CONTACT"] = "INVITE_CONTACT";
    Operations["REMOVE_CONTACT"] = "REMOVE_CONTACT";
    Operations["CONFIRM_CONTACT"] = "CONFIRM_CONTACT";
    Operations["ADD_CONTACT_TO_FAVOURITES"] = "ADD_CONTACT_TO_FAVOURITES";
    Operations["REMOVE_CONTACT_FROM_FAVOURITES"] = "REMOVE_CONTACT_FROM_FAVOURITES";
    Operations["CANCEL_UPLOAD_ATTACHMENTS"] = "CANCEL_UPLOAD_ATTACHMENTS";
    Operations["ROOM_SET_LOCK"] = "ROOM_SET_LOCK";
    Operations["ROOM_SET_INITIAL_AUDIO_MUTED"] = "ROOM_SET_INITIAL_AUDIO_MUTED";
    Operations["ROOM_SET_INITIAL_VIDEO_MUTED"] = "ROOM_SET_INITIAL_VIDEO_MUTED";
    Operations["ROOM_SET_INITIAL_SCREEN_SHARING_MUTED"] = "ROOM_SET_INITIAL_SCREEN_SHARING_MUTED";
    Operations["ROOM_SET_AUDIO_MUTED"] = "ROOM_SET_AUDIO_MUTED";
    Operations["ROOM_SET_VIDEO_MUTED"] = "ROOM_SET_VIDEO_MUTED";
    Operations["ROOM_SET_SCREEN_SHARING_MUTED"] = "ROOM_SET_SCREEN_SHARING_MUTED";
    Operations["ROOM_SET_CHAT_MUTED"] = "ROOM_SET_CHAT_MUTED";
    Operations["ROOM_SET_CAN_CHANGE_NICKNAME"] = "ROOM_SET_CAN_CHANGE_NICKNAME";
    Operations["ROOM_SET_SCREEN_SHARING_MULTIPLE_SHARES"] = "ROOM_SET_SCREEN_SHARING_MULTIPLE_SHARES";
    Operations["ROOM_SET_SCREEN_SHARING_EVERYONE_CAN_SHARE"] = "ROOM_SET_SCREEN_SHARING_EVERYONE_CAN_SHARE";
    Operations["ROOM_SET_SCREEN_SHARING_EVERYONE_CAN_DO_SUBSEQUENT_SHARE"] = "ROOM_SET_SCREEN_SHARING_EVERYONE_CAN_DO_SUBSEQUENT_SHARE";
    Operations["PARTICIPANT_AUDIO_MUTED"] = "PARTICIPANT_AUDIO_MUTED";
    Operations["PARTICIPANT_VIDEO_MUTED"] = "PARTICIPANT_VIDEO_MUTED";
    Operations["PARTICIPANT_SCREEN_SHARING_MUTED"] = "PARTICIPANT_SCREEN_SHARING_MUTED";
    Operations["RENAME_PARTICIPANT"] = "RENAME_PARTICIPANT";
    Operations["TURN_OFF_PARTICIPANT_SCREEN_SHARING"] = "TURN_OFF_PARTICIPANT_SCREEN_SHARING";
    Operations["GET_USER_INFO"] = "GET_USER_INFO";
    Operations["CHANGE_USER_EMAIL"] = "CHANGE_USER_EMAIL";
    Operations["CHANGE_USER_PASSWORD"] = "CHANGE_USER_PASSWORD";
    Operations["CHANGE_USER_NICKNAME"] = "CHANGE_USER_NICKNAME";
    Operations["CHANGE_USER_PHONE_NUMBER"] = "CHANGE_USER_PHONE_NUMBER";
    Operations["CHANGE_USER_HOST_KEY"] = "CHANGE_USER_HOST_KEY";
    Operations["CHANGE_USER_TIMEZONE"] = "CHANGE_USER_TIMEZONE";
    Operations["EDIT_CHAT_MESSAGE"] = "EDIT_CHAT_MESSAGE";
    Operations["DELETE_CHAT_MESSAGE"] = "DELETE_CHAT_MESSAGE";
    Operations["SIGN_UP"] = "SIGN_UP";
    Operations["REMOVE_USER"] = "REMOVE_USER";
    Operations["RESET_PASSWORD"] = "RESET_PASSWORD";
    Operations["GET_CHAT_MESSAGES_COUNT"] = "GET_CHAT_MESSAGES_COUNT";
    Operations["SEARCH_MESSAGE_ATTACHMENTS"] = "SEARCH_MESSAGE_ATTACHMENTS";
    Operations["ADD_MESSAGE_TO_BOOKMARKS"] = "ADD_MESSAGE_TO_BOOKMARKS";
    Operations["REMOVE_MESSAGE_FROM_BOOKMARKS"] = "REMOVE_MESSAGE_FROM_BOOKMARKS";
    Operations["LOAD_BOOKMARKED_MESSAGES"] = "LOAD_BOOKMARKED_MESSAGES";
    Operations["LOAD_MESSAGES_WITH_MENTIONS"] = "LOAD_MESSAGES_WITH_MENTIONS";
})(Operations = exports.Operations || (exports.Operations = {}));
var ParticipantRole;
(function (ParticipantRole) {
    ParticipantRole["OWNER"] = "OWNER";
    ParticipantRole["ADMIN"] = "ADMIN";
    ParticipantRole["PARTICIPANT"] = "PARTICIPANT";
})(ParticipantRole = exports.ParticipantRole || (exports.ParticipantRole = {}));
var TrackType;
(function (TrackType) {
    TrackType["AUDIO"] = "AUDIO";
    TrackType["VIDEO"] = "VIDEO";
})(TrackType = exports.TrackType || (exports.TrackType = {}));
var InternalApi;
(function (InternalApi) {
    InternalApi["Z_APP"] = "sfuZClientApp";
    InternalApi["P_APP"] = "sfuApp";
    InternalApi["Z_USER_MANAGEMENT_APP"] = "sfuZUserManagementApp";
    InternalApi["DEFAULT_METHOD"] = "sfuCallback";
    InternalApi["BINARY_DATA"] = "binaryData";
    InternalApi["JOIN_ROOM"] = "joinRoom";
    InternalApi["CREATE_ROOM"] = "createRoom";
    InternalApi["ROOM_AVAILABLE"] = "roomAvailable";
    InternalApi["ROOM_EXISTS"] = "roomExists";
    InternalApi["UPDATE_ROOM_STATE"] = "updateRoomState";
    InternalApi["DESTROY_ROOM"] = "destroyRoom";
    InternalApi["LEAVE_ROOM"] = "leaveRoom";
    InternalApi["EVICT_PARTICIPANT"] = "evictParticipant";
    InternalApi["RENAME_PARTICIPANT"] = "renameParticipant";
    InternalApi["CHANGE_QUALITY"] = "changeQuality";
    InternalApi["AUTHORIZE_WAITING_LIST"] = "authorizeWaitingList";
    InternalApi["MESSAGE"] = "SFU_MESSAGE";
    InternalApi["MESSAGE_STATE"] = "SFU_MESSAGE_STATE";
    InternalApi["MESSAGE_ATTACHMENT_STATE"] = "SFU_MESSAGE_ATTACHMENT_STATE";
    InternalApi["MESSAGE_STATE_BULK"] = "SFU_MESSAGE_STATE_BULK";
    InternalApi["SFU_ATTACHMENT_REQUEST_ACK"] = "SFU_ATTACHMENT_REQUEST_ACK";
    InternalApi["USER_LIST"] = "SFU_USER_LIST";
    InternalApi["USER_CALENDAR"] = "SFU_USER_CALENDAR";
    InternalApi["USER_CHATS"] = "SFU_USER_CHATS";
    InternalApi["PUBLIC_CHANNELS"] = "SFU_PUBLIC_CHANNELS";
    InternalApi["CHAT_LOADED"] = "SFU_CHAT_LOADED";
    InternalApi["NEW_CHAT"] = "SFU_NEW_CHAT";
    InternalApi["CHAT_DELETED"] = "SFU_CHAT_DELETED";
    InternalApi["CHAT_UPDATED"] = "SFU_UPDATE_CHAT";
    InternalApi["CONTACT_UPDATED"] = "SFU_CONTACT_UPDATE";
    InternalApi["CONTACT_INVITE"] = "SFU_CONTACT_INVITE";
    InternalApi["CONTACT_REMOVED"] = "SFU_CONTACT_REMOVED";
    InternalApi["GET_USER_LIST"] = "getUserList";
    InternalApi["GET_USER_CALENDAR"] = "getUserCalendar";
    InternalApi["GET_USER_PMI_SETTINGS"] = "getUserPmiSettings";
    InternalApi["UPDATE_USER_PMI_SETTINGS"] = "updateUserPmiSettings";
    InternalApi["ADD_CALENDAR_EVENT"] = "addCalendarEvent";
    InternalApi["REMOVE_CALENDAR_EVENT"] = "removeCalendarEvent";
    InternalApi["UPDATE_CALENDAR_EVENT"] = "updateCalendarEvent";
    InternalApi["CREATE_ROOM_FROM_EVENT"] = "createRoomFromEvent";
    InternalApi["MUTE_TRACK"] = "muteTrack";
    InternalApi["SEND_MESSAGE"] = "sendMessage";
    InternalApi["GET_ATTACHMENT"] = "downloadAttachment";
    InternalApi["SEND_CONTROL_MESSAGE"] = "sendControlMessage";
    InternalApi["MARK_MESSAGE_READ"] = "markMessageRead";
    InternalApi["MARK_MESSAGE_UNREAD"] = "markMessageUnread";
    InternalApi["INVITE_CONTACT"] = "inviteContact";
    InternalApi["REMOVE_CONTACT"] = "removeContact";
    InternalApi["CONFIRM_CONTACT"] = "confirmContact";
    InternalApi["ASSIGN_ROLE"] = "assignRole";
    InternalApi["SUBSCRIBE_TO_WAITING_PARTICIPANT"] = "subscribeToWaitingParticipant";
    InternalApi["UNSUBSCRIBE_FROM_WAITING_PARTICIPANT"] = "unsubscribeFromWaitingParticipant";
    InternalApi["MOVE_TO_WAITING_ROOM"] = "moveToWaitingRoom";
    InternalApi["CONFIGURE_WAITING_ROOM"] = "configureWaitingRoom";
    InternalApi["TRACK_CONTENT_HEADER"] = "a=content:";
    InternalApi["GET_USER_CHATS"] = "getUserChats";
    InternalApi["GET_PUBLIC_CHANNELS"] = "getPublicChannels";
    InternalApi["LOAD_CHAT"] = "loadChat";
    InternalApi["LOAD_CHAT_MESSAGES"] = "loadChatMessages";
    InternalApi["SEARCH_CHAT_MESSAGES"] = "searchChatMessages";
    InternalApi["GET_CHAT_MESSAGES_COUNT"] = "getChatMessagesCount";
    InternalApi["GET_FIRST_AND_LAST_CHAT_MESSAGE"] = "getFirstAndLastChatMessage";
    InternalApi["CREATE_CHAT"] = "createChat";
    InternalApi["DELETE_CHAT"] = "deleteChat";
    InternalApi["RENAME_CHAT"] = "renameChat";
    InternalApi["ADD_MEMBER_TO_CHAT"] = "addMemberToChat";
    InternalApi["REMOVE_MEMBER_FROM_CHAT"] = "removeMemberFromChat";
    InternalApi["UPDATE_CHANNEL_SEND_POLICY"] = "updateChannelSendPolicy";
    InternalApi["UPDATE_CHAT_RECEIVE_POLICY"] = "updateChatReceivePolicy";
    InternalApi["ADD_CHANNEL_SEND_PERMISSION_LIST_MEMBER"] = "addChannelSendPermissionListMember";
    InternalApi["REMOVE_CHANNEL_SEND_PERMISSION_LIST_MEMBER"] = "removeChannelSendPermissionListMember";
    InternalApi["UPDATE_CHAT_CONFIGURATION"] = "updateChatConfiguration";
    InternalApi["ADD_CHAT_TO_FAVOURITES"] = "addChatToFavourites";
    InternalApi["REMOVE_CHAT_FROM_FAVOURITES"] = "removeChatFromFavourites";
    InternalApi["ADD_CONTACT_TO_FAVOURITES"] = "addContactToFavourites";
    InternalApi["REMOVE_CONTACT_FROM_FAVOURITES"] = "removeContactFromFavourites";
    InternalApi["GET_ACTIVE_ROOMS"] = "getActiveRooms";
    InternalApi["RECLAIM_OWNER_RIGHTS"] = "reclaimOwnerRights";
    InternalApi["CANCEL_SENDING_ATTACHMENT"] = "cancelSendingAttachment";
    InternalApi["SEND_MESSAGE_WITH_ATTACHMENTS"] = "sendMessageWithAttachments";
    InternalApi["SET_ROOM_LOCK"] = "setRoomLock";
    InternalApi["SET_ROOM_INITIAL_AUDIO_MUTED"] = "setRoomInitialAudioMuted";
    InternalApi["SET_ROOM_INITIAL_VIDEO_MUTED"] = "setRoomInitialVideoMuted";
    InternalApi["SET_ROOM_INITIAL_SCREEN_SHARING_MUTED"] = "setRoomInitialScreenSharingMuted";
    InternalApi["SET_ROOM_AUDIO_MUTED"] = "setRoomAudioMuted";
    InternalApi["SET_ROOM_VIDEO_MUTED"] = "setRoomVideoMuted";
    InternalApi["SET_ROOM_SCREEN_SHARING_MUTED"] = "setRoomScreenSharingMuted";
    InternalApi["SET_ROOM_CHAT_MUTED"] = "setRoomChatMuted";
    InternalApi["SET_ROOM_CAN_CHANGE_NICKNAME"] = "setRoomCanChangeNickname";
    InternalApi["SET_ROOM_SCREEN_SHARING_MULTIPLE_SHARES"] = "setRoomScreenSharingMultipleShares";
    InternalApi["SET_ROOM_SCREEN_SHARING_EVERYONE_CAN_SHARE"] = "setRoomScreenSharingEveryoneCanShare";
    InternalApi["SET_ROOM_SCREEN_SHARING_EVERYONE_CAN_DO_SUBSEQUENT_SHARE"] = "setRoomScreenSharingEveryoneCanDoSubsequentShare";
    InternalApi["SET_PARTICIPANT_AUDIO_MUTED"] = "setParticipantAudioMuted";
    InternalApi["SET_PARTICIPANT_VIDEO_MUTED"] = "setParticipantVideoMuted";
    InternalApi["SET_PARTICIPANT_SCREEN_SHARING_MUTED"] = "setParticipantScreenSharingMuted";
    InternalApi["TURN_OFF_PARTICIPANT_SCREEN_SHARING"] = "turnOffParticipantScreenSharing";
    InternalApi["GET_USER_INFO"] = "getUserInfo";
    InternalApi["CHANGE_USER_EMAIL"] = "changeUserEmail";
    InternalApi["CHANGE_USER_PASSWORD"] = "changeUserPassword";
    InternalApi["CHANGE_USER_NICKNAME"] = "changeUserNickname";
    InternalApi["CHANGE_USER_PHONE_NUMBER"] = "changeUserPhoneNumber";
    InternalApi["CHANGE_USER_HOST_KEY"] = "changeUserHostKey";
    InternalApi["CHANGE_USER_TIMEZONE"] = "changeUserTimezone";
    InternalApi["EDIT_CHAT_MESSAGE"] = "editChatMessage";
    InternalApi["DELETE_CHAT_MESSAGE"] = "deleteChatMessage";
    InternalApi["SIGN_UP"] = "signUp";
    InternalApi["REMOVE_USER"] = "removeUser";
    InternalApi["RESET_PASSWORD_REQUEST"] = "resetPasswordRequest";
    InternalApi["RESET_PASSWORD"] = "resetPassword";
    InternalApi["SEARCH_MESSAGE_ATTACHMENTS"] = "searchMessageAttachments";
    InternalApi["ADD_MESSAGE_TO_BOOKMARKS"] = "addMessageToBookmarks";
    InternalApi["REMOVE_MESSAGE_FROM_BOOKMARKS"] = "removeMessageFromBookmarks";
    InternalApi["LOAD_BOOKMARKED_MESSAGES"] = "loadBookmarkedMessages";
    InternalApi["LOAD_MESSAGES_WITH_MENTIONS"] = "loadMessagesWithMentions";
})(InternalApi = exports.InternalApi || (exports.InternalApi = {}));
var ContactError;
(function (ContactError) {
    ContactError["USER_CAN_NOT_SEND_INVITE_TO_HIMSELF"] = "User can not send invite to himself";
})(ContactError = exports.ContactError || (exports.ContactError = {}));
var ChatError;
(function (ChatError) {
    ChatError["CAN_NOT_SEND_MESSAGE_WITHOUT_CONTENT"] = "Can't send message without content";
    ChatError["CAN_NOT_SEND_NULL_MESSAGE"] = "Can't send null message";
    ChatError["CAN_NOT_SEND_MESSAGE_WITHOUT_CHAT_ID"] = "Can't send message without a chatId";
    ChatError["USER_MUST_BE_A_CHAT_MEMBER_TO_SEND_MESSAGES"] = "User must be a chat member to send messages";
    ChatError["CAN_NOT_CANCEL_SENDING_ATTACHMENT"] = "Can't cancel sending attachment";
    ChatError["CAN_NOT_EDIT_MESSAGE_WITHOUT_CHAT_ID"] = "Can't edit message without chatId";
    ChatError["CAN_NOT_EDIT_MESSAGE_WITHOUT_MESSAGE_ID"] = "Can't edit message without messageId";
    ChatError["EDIT_MESSAGE_ERROR_CHAT_DOES_NOT_EXISTS"] = "Failed to edit message, chat doesn't exist";
    ChatError["EDIT_MESSAGE_ERROR_MESSAGE_DOES_NOT_EXISTS"] = "Failed to edit message, message doesn't exist";
    ChatError["EDIT_MESSAGE_ERROR_MESSAGE_CAN_NOT_BE_WITHOUT_CONTENT"] = "Failed to edit message, message must have body or attachments";
    ChatError["DELETE_MESSAGE_ERROR_CHAT_DOES_NOT_EXISTS"] = "Failed to delete message, chat doesn't exist";
    ChatError["DELETE_MESSAGE_ERROR_MESSAGE_DOES_NOT_EXISTS"] = "Failed to delete message, message doesn't exist";
    ChatError["CAN_NOT_ADD_MEMBER_TO_PRIVATE_CHAT"] = "Adding a member to the private chat is not allowed";
    ChatError["CAN_NOT_REMOVE_MEMBER_FROM_PRIVATE_CHAT"] = "Removing a member from the private chat is not allowed";
    ChatError["CAN_NOT_RENAME_PRIVATE_CHAT"] = "Renaming the private chat is not allowed";
    ChatError["CAN_NOT_ADD_DELETED_MESSAGE_TO_BOOKMARKS"] = "Can't add deleted message to bookmarks";
})(ChatError = exports.ChatError || (exports.ChatError = {}));
var ChatSectionsError;
(function (ChatSectionsError) {
    ChatSectionsError["PAGE_NOT_FOUND"] = "Page not found";
})(ChatSectionsError = exports.ChatSectionsError || (exports.ChatSectionsError = {}));
var RoomError;
(function (RoomError) {
    RoomError["AUTHORIZATION_FAILED"] = "Authorization failed by owner";
    RoomError["ROOM_DESTROYED"] = "Room destroyed";
    RoomError["WRONG_PIN"] = "Wrong pin";
    RoomError["NOT_FOUND"] = "Room not found";
    RoomError["NICKNAME_UNAVAILABLE"] = "Nickname unavailable";
    RoomError["NICKNAME_ALREADY_TAKEN"] = "This nickname is already taken";
    RoomError["ID_IS_NULL"] = "id can't be null";
    RoomError["EVENT_ID_IS_NULL"] = "event.id can't be null";
    RoomError["USER_ALREADY_JOINED"] = "User already joined";
    RoomError["CANCEL_JOIN_ROOM"] = "Joining to room canceled by user";
    RoomError["ROOM_IS_LOCKED"] = "Room is locked";
    RoomError["RENAMING_PROHIBITED"] = "Renaming prohibited by the owner";
})(RoomError = exports.RoomError || (exports.RoomError = {}));
var UserInfoError;
(function (UserInfoError) {
    UserInfoError["EMAIL_ADDRESS_ALREADY_TAKEN"] = "User with this email already exists";
    UserInfoError["CURRENT_PASSWORD_IS_INCORRECT"] = "You entered incorrect current password";
    UserInfoError["CURRENT_PASSWORD_IS_NULL"] = "Current password can't be null";
    UserInfoError["NEW_PASSWORD_IS_NULL"] = "New password can't be null";
    UserInfoError["PASSWORD_POLICY_ERROR"] = "New password should be at least 6 characters";
})(UserInfoError = exports.UserInfoError || (exports.UserInfoError = {}));
var UserManagementError;
(function (UserManagementError) {
    UserManagementError["EMAIL_ADDRESS_ALREADY_TAKEN"] = "User with this email already exists";
    UserManagementError["USER_NOT_FOUND"] = "User not found";
    UserManagementError["USER_IS_NOT_REMOVED"] = "Failed to remove user";
    UserManagementError["EMAIL_IS_NOT_VERIFIED"] = "Email is not verified";
    UserManagementError["OPERATION_FAILED_BY_DISCONNECT"] = "Operation failed by disconnect";
    UserManagementError["CONNECTION_ERROR"] = "Connection error";
    UserManagementError["CONNECTION_FAILED"] = "Connection failed";
    UserManagementError["EMAIL_VERIFICATION_DECLINED"] = "Email verification is declined";
    UserManagementError["EMAIL_VERIFICATION_FAILED_BY_TIMEOUT"] = "Email verification failed by timeout";
    UserManagementError["EMAIL_NOT_FOUND"] = "Email not found";
})(UserManagementError = exports.UserManagementError || (exports.UserManagementError = {}));
exports.ATTACHMENT_CHUNK_SIZE = 100000;
var RemoteSdpType;
(function (RemoteSdpType) {
    RemoteSdpType["OFFER"] = "offer";
    RemoteSdpType["ANSWER"] = "answer";
    RemoteSdpType["ROLLBACK"] = "rollback";
})(RemoteSdpType = exports.RemoteSdpType || (exports.RemoteSdpType = {}));
var MessageState;
(function (MessageState) {
    MessageState["NO_DELIVERY_NO_READ"] = "NO_DELIVERY_NO_READ";
    MessageState["PARTIAL_DELIVERY_NO_READ"] = "PARTIAL_DELIVERY_NO_READ";
    MessageState["PARTIAL_DELIVERY_PARTIAL_READ"] = "PARTIAL_DELIVERY_PARTIAL_READ";
    MessageState["FULL_DELIVERY_NO_READ"] = "FULL_DELIVERY_NO_READ";
    MessageState["FULL_DELIVERY_PARTIAL_READ"] = "FULL_DELIVERY_PARTIAL_READ";
    MessageState["FULL_DELIVERY_FULL_READ"] = "FULL_DELIVERY_FULL_READ";
    MessageState["PENDING_ATTACHMENTS"] = "PENDING_ATTACHMENTS";
    MessageState["DELIVERY_CANCELLED"] = "DELIVERY_CANCELLED";
    MessageState["DELETED"] = "DELETED";
})(MessageState = exports.MessageState || (exports.MessageState = {}));
var DeliveryStatus;
(function (DeliveryStatus) {
    DeliveryStatus["PENDING"] = "PENDING";
    DeliveryStatus["DELIVERED"] = "DELIVERED";
    DeliveryStatus["READ"] = "READ";
    DeliveryStatus["UNREAD"] = "UNREAD";
})(DeliveryStatus = exports.DeliveryStatus || (exports.DeliveryStatus = {}));
var AttachmentState;
(function (AttachmentState) {
    AttachmentState["PENDING"] = "PENDING";
    AttachmentState["UPLOADED"] = "UPLOADED";
    AttachmentState["DOWNLOADED"] = "DOWNLOADED";
    AttachmentState["CANCELLED"] = "CANCELLED";
})(AttachmentState = exports.AttachmentState || (exports.AttachmentState = {}));
var MessageAttachmentType;
(function (MessageAttachmentType) {
    MessageAttachmentType["file"] = "file";
    MessageAttachmentType["picture"] = "picture";
})(MessageAttachmentType = exports.MessageAttachmentType || (exports.MessageAttachmentType = {}));
var UserState;
(function (UserState) {
    UserState["OFFLINE"] = "OFFLINE";
    UserState["ONLINE"] = "ONLINE";
    UserState["PENDING_REGISTRATION"] = "PENDING_REGISTRATION";
})(UserState = exports.UserState || (exports.UserState = {}));
var ChatType;
(function (ChatType) {
    ChatType["PUBLIC"] = "PUBLIC";
    ChatType["PRIVATE"] = "PRIVATE";
})(ChatType = exports.ChatType || (exports.ChatType = {}));
var ChannelSendPolicy;
(function (ChannelSendPolicy) {
    ChannelSendPolicy["EVERYONE"] = "EVERYONE";
    ChannelSendPolicy["ADMIN"] = "ADMIN";
    ChannelSendPolicy["ADMIN_AND_LIST"] = "ADMIN_AND_LIST";
})(ChannelSendPolicy = exports.ChannelSendPolicy || (exports.ChannelSendPolicy = {}));
var ChatReceivePolicy;
(function (ChatReceivePolicy) {
    ChatReceivePolicy["EVERYONE"] = "EVERYONE";
    ChatReceivePolicy["OWNER_ONLY"] = "OWNER_ONLY";
    ChatReceivePolicy["NOBODY"] = "NOBODY";
})(ChatReceivePolicy = exports.ChatReceivePolicy || (exports.ChatReceivePolicy = {}));
var MessageAttachmentMediaType;
(function (MessageAttachmentMediaType) {
    MessageAttachmentMediaType["media"] = "media";
    MessageAttachmentMediaType["other"] = "other";
})(MessageAttachmentMediaType = exports.MessageAttachmentMediaType || (exports.MessageAttachmentMediaType = {}));
var SortOrder;
(function (SortOrder) {
    SortOrder[SortOrder["ASC"] = 0] = "ASC";
    SortOrder[SortOrder["DESC"] = 1] = "DESC";
})(SortOrder = exports.SortOrder || (exports.SortOrder = {}));
exports.WS_CONNECTION_TIMEOUT = 10000;
// Set server ping timeout as WCS default setting
exports.WS_PING_INTERVAL_MS = 5000;
// Set missing pings threshold as a half of WCS default setting
exports.WS_PINGS_MISSING_THRESHOLD = 5;
var StatsType;
(function (StatsType) {
    StatsType["INBOUND"] = "inbound-rtp";
    StatsType["OUTBOUND"] = "outbound-rtp";
})(StatsType = exports.StatsType || (exports.StatsType = {}));
//# sourceMappingURL=constants.js.map